<?php
if ( ! isset( $cart ) ) {
	echo "Not all variables are present";

	return;
}
?>
<style>
    #overlay {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(0, 0, 0, 0.5);
        z-index: 100000;
        opacity: 0;
        transition: opacity 0.3s ease-in-out;
        pointer-events: none;
    }

    #minty-woo-mini-cart {
        position: fixed;
        top: 0;
        right: -100%;
        width: 30%;
        height: 100%;
        background-color: #fff;
        z-index: 100001;
        box-shadow: -2px 0 5px rgba(0, 0, 0, 0.2);
        transition: right 0.3s ease-in-out;
        overflow-y: auto;
        padding: 20px;
        display: flex;
        flex-direction: column;
    }

    #minty-woo-mini-cart.active {
        right: 0;
    }

    #overlay.active {
        opacity: 1;
        pointer-events: auto;
    }

    .hidden {
        display: none;
    }

    .minty-cart-item {
        display: flex;
        align-items: center;
        margin-bottom: 20px;
        border-bottom: 1px solid #eaeaea;
        padding-bottom: 15px;
        position: relative;
        transition: transform 0.3s ease, opacity 0.3s ease;
    }

    .minty-cart-item.removing {
        transform: translateX(100%);
        opacity: 0;
    }

    .minty-cart-item:last-child {
        border-bottom: none;
        margin-bottom: 0;
    }

    .minty-cart-product-image {
        width: 60px;
        height: 60px;
        object-fit: cover;
        margin-right: 15px;
    }

    .minty-cart-product-details {
        flex-grow: 1;
    }

    .minty-cart-product-name {
        font-size: 16px;
        font-weight: bold;
        margin: 0 0 5px 0;
    }

    .minty-cart-product-quantity-controls {
        display: flex;
        align-items: center;
        margin: 10px 0;
    }

    .minty-cart-quantity-button {
        background-color: #0071a1;
        color: white;
        border: none;
        width: 30px;
        height: 30px;
        font-size: 18px;
        line-height: 30px;
        text-align: center;
        cursor: pointer;
        margin: 0 5px;
        border-radius: 3px;
    }

    .minty-cart-product-quantity {
        font-size: 16px;
        margin: 0 10px;
    }

    .product-price {
        font-size: 14px;
        margin: 0;
    }

    .minty-cart-remove-item-button {
        background: none;
        border: none;
        cursor: pointer;
        position: absolute;
        right: 0;
        top: 50%;
        transform: translateY(-50%);
    }

    .trash-icon {
        width: 20px;
        height: 20px;
        color: red;
    }

    #minty-woo-mini-cart-close {
        align-self: flex-end;
    }

    #minty-woo-mini-cart-footer {
        display: flex;
        justify-content: space-between;
        align-items: center;
        flex-direction: row;
        margin-top: auto;
        padding-bottom: 30px;
        padding-top: 20px;
        border-top: 1px solid #eaeaea;
    }


</style>

<div id="overlay" class="hidden"></div>

<div id="minty-woo-mini-cart" class="hidden">
    <button id="minty-woo-mini-cart-close">Close</button>
    <div class="minty-cart-items">
        <!-- Template for a cart item -->
        <template id="cart-item-template">
            <div class="minty-cart-item">
                <img src="" alt="" class="minty-cart-product-image">
                <div class="minty-cart-product-details">
                    <h4 class="minty-cart-product-name"></h4>
                    <p class="product-price">Prijs: €<span class="product-price-amount"></span></p>
                    <div class="minty-cart-product-quantity-controls">
                        <button class="minty-cart-quantity-button decrease">-</button>
                        <span class="minty-cart-product-quantity"></span>
                        <button class="minty-cart-quantity-button increase">+</button>
                    </div>
                </div>
                <button class="minty-cart-remove-item-button">
                    <svg class="trash-icon" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor">
                        <path stroke-linecap="round" stroke-linejoin="round" d="m14.74 9-.346 9m-4.788 0L9.26 9m9.968-3.21c.342.052.682.107 1.022.166m-1.022-.165L18.16 19.673a2.25 2.25 0 0 1-2.244 2.077H8.084a2.25 2.25 0 0 1-2.244-2.077L4.772 5.79m14.456 0a48.108 48.108 0 0 0-3.478-.397m-12 .562c.34-.059.68-.114 1.022-.165m0 0a48.11 48.11 0 0 1 3.478-.397m7.5 0v-.916c0-1.18-.91-2.164-2.09-2.201a51.964 51.964 0 0 0-3.32 0c-1.18.037-2.09 1.022-2.09 2.201v.916m7.5 0a48.667 48.667 0 0 0-7.5 0" />
                    </svg>
                </button>
            </div>
        </template>
        <!-- End of template for a cart item -->
        <template id="cart-empty-template">
            <p class="cart-empty-message">Uw winkelwagen is leeg</p>
        </template>
    </div>
    <div id="minty-woo-mini-cart-footer">
        <p class="minty-cart-total">Totaal: €<span class="minty-cart-total-amount"></span></p>
        <button id="minty-woo-mini-cart-checkout">Afrekenen</button>
    </div>
</div>
