<?php

if ( ! isset($smtp_mail_tab_selected, $google_client, $google_access_token, $google_client_id, $google_redirect_uri, $google_client_secret ) ) {
	echo "<p>not all variables are present</p>";

	return;
}
?>
<div class="tab-pane fade <?= esc_attr( $smtp_mail_tab_selected === 'google' ? "show active" : "" ); ?>"
     id="google" role="tabpanel" aria-labelledby="google-tab">
	<form method="post" action="" enctype="multipart/form-data">
		<table class="form-table">
			<tbody>
			<tr>
				<th scope="row">
					<label for="google_mail_json_details">Google JSON file</label>
				</th>
				<td>
					<input type="file" name="google_mail_json_details" class="form-control "
					       id="google_mail_json_details" accept="application/json" required/>
				</td>
			</tr>


			</tbody>
		</table>
		<input type="hidden" name="action" value="save_minty_google_settings">
		<input type="submit" name="submit" id="submit" class="btn btn-outline-primary" value="Upload">
	</form>
	<hr>
	<form method="post" action="">
		<table class="form-table">
			<tbody>
			<tr>
				<th scope="row">
					<label for="google_client_id">Google client ID</label>
				</th>
				<td>
					<input type="text" name="google_client_id" class="form-control "
					       id="google_client_id"
					       value="<?= esc_attr( $google_client_id ); ?>"/>
				</td>
			</tr>
			<tr>
				<th scope="row">
					<label for="google_client_secret">Google client secret</label>
				</th>
				<td>
					<input type="password" name="google_client_secret" class="form-control"
					       id="google_client_secret"
					       value="<?= esc_attr( $google_client_secret ) ?>"/>

				</td>
			</tr>
			<tr>
				<th scope="row">
					<label for="google_redirect_uri">Redirect URI</label>
				</th>
				<td>
					<input type="text" class="form-control"
					       value="<?= esc_attr( $google_redirect_uri ) ?>" disabled/>
					<input type="hidden" name="google_redirect_uri"
					       id="google_redirect_uri"
					       value="<?= esc_attr( $google_redirect_uri ); ?>"/>
					<small>Dit is de URL die de applicatiebeheerder moet invoeren in de Google API
						omgeving.</small>

				</td>
			</tr>

			</tbody>
		</table>
		<input type="hidden" name="action" value="save_minty_mail_settings">
		<input type="submit" name="submit" id="submit" class="btn btn-outline-primary" value="Opslaan">
	</form>
	<hr>
	<table class="form-table">
		<tbody>
		<tr>
			<th scope="row">
				<label for="microsoft_mail_authorization">Autorisatie</label>
			</th>
			<td>
				<?php
				// Stel de Google Client in
				$google_client->setClientId( $google_client_id );
				$google_client->setClientSecret( $google_client_secret );
				$google_client->setRedirectUri( $google_redirect_uri );
				$google_client->addScope( 'https://www.googleapis.com/auth/gmail.send' );
				$google_client->addScope( 'openid' );
				$google_client->addScope( 'email' );
				$google_client->addScope( 'profile' );
				$google_client->setAccessType( 'offline' );
				$google_client->setPrompt( 'consent' );

				if ( $google_access_token ): ?>
					<form action="" method="POST">
						<input type="hidden" name="action" value="remove_minty_client_tokens">
						<button type="submit" class="btn btn-danger">Unlink account</button>
						<span class="badge text-bg-secondary"><?= esc_html( $google_client_fullname ) ?> / <?= esc_html( $google_client_username ) ?> </span>
					</form>
				<?php else: ?>
					<a href="<?= $google_client->createAuthUrl() ?>" type="button" class="btn btn-success">
						Geef plugin toestemming om e-mails te versturen
					</a>
				<?php endif; ?>
			</td>
		</tr>
		</tbody>
	</table>

</div>