<?php
if ( ! isset( $smtp_mail_enabled, $smtp_mail_provider, $smtp_mail_tab_selected, $providers, $mail_sender_email, $mail_sender_name, $force_mail_sender_email, $force_mail_sender_name ) ) {
	echo "<p>not all variables are present</p>";

	return;
}

?>

<?php if ( isset ( $_SESSION['minty_mail_error_message'] ) ) {
	echo '<div class="notice notice-error is-dismissible"><p><b>Fout:</b> ' . $_SESSION['minty_mail_error_message'] . '</p></div>';
	unset( $_SESSION['minty_mail_error_message'] );
}

?>

<?php if ( $smtp_mail_enabled === 'true' ): ?>

    <form id="myTabForm" method="post" action="">
        <ul class="nav d-flex gap-1 p-0" id="myTab" role="tablist">
            <li class="nav-item" role="presentation">
                <button class="btn <?= esc_attr( $smtp_mail_tab_selected === 'standaard' ? "active" : "" ); ?>"
                        id="standaard-tab" type="button" data-value="standaard" role="tab" aria-controls="standaard"
                        aria-selected="true">
                    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 48 48">
                        <path fill="#1e88e5"
                              d="M34,42H14c-4.411,0-8-3.589-8-8V14c0-4.411,3.589-8,8-8h20c4.411,0,8,3.589,8,8v20 C42,38.411,38.411,42,34,42z"></path>
                        <path fill="#fff"
                              d="M35.926,17.488L29.414,24l6.511,6.511C35.969,30.347,36,30.178,36,30V18 C36,17.822,35.969,17.653,35.926,17.488z M26.688,23.899l7.824-7.825C34.347,16.031,34.178,16,34,16H14 c-0.178,0-0.347,0.031-0.512,0.074l7.824,7.825C22.795,25.38,25.205,25.38,26.688,23.899z M24,27.009 c-1.44,0-2.873-0.542-3.99-1.605l-6.522,6.522C13.653,31.969,13.822,32,14,32h20c0.178,0,0.347-0.031,0.512-0.074l-6.522-6.522 C26.873,26.467,25.44,27.009,24,27.009z M12.074,17.488C12.031,17.653,12,17.822,12,18v12c0,0.178,0.031,0.347,0.074,0.512 L18.586,24L12.074,17.488z"></path>
                    </svg>
                    Standaard
                </button>
            </li>
            <li class="nav-item" role="presentation">
                <button class="btn <?= esc_attr( $smtp_mail_tab_selected === 'microsoft' ? "active" : "" ); ?>"
                        id="microsoft-tab" type="button" data-value="microsoft" role="tab" aria-controls="microsoft"
                        aria-selected="false">
                    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 48 48">
                        <path fill="#ff5722" d="M6 6H22V22H6z" transform="rotate(-180 14 14)"></path>
                        <path fill="#4caf50" d="M26 6H42V22H26z" transform="rotate(-180 34 14)"></path>
                        <path fill="#ffc107" d="M26 26H42V42H26z" transform="rotate(-180 34 34)"></path>
                        <path fill="#03a9f4" d="M6 26H22V42H6z" transform="rotate(-180 14 34)"></path>
                    </svg>
                    Microsoft
                </button>
            </li>
            <li class="nav-item" role="presentation">
                <button class="btn <?= esc_attr( $smtp_mail_tab_selected === 'google' ? "active" : "" ); ?>"
                        id="google-tab" type="button" data-value="google" role="tab" aria-controls="google"
                        aria-selected="false">
                    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 48 48">
                        <path fill="#FFC107"
                              d="M43.611,20.083H42V20H24v8h11.303c-1.649,4.657-6.08,8-11.303,8c-6.627,0-12-5.373-12-12c0-6.627,5.373-12,12-12c3.059,0,5.842,1.154,7.961,3.039l5.657-5.657C34.046,6.053,29.268,4,24,4C12.955,4,4,12.955,4,24c0,11.045,8.955,20,20,20c11.045,0,20-8.955,20-20C44,22.659,43.862,21.35,43.611,20.083z"></path>
                        <path fill="#FF3D00"
                              d="M6.306,14.691l6.571,4.819C14.655,15.108,18.961,12,24,12c3.059,0,5.842,1.154,7.961,3.039l5.657-5.657C34.046,6.053,29.268,4,24,4C16.318,4,9.656,8.337,6.306,14.691z"></path>
                        <path fill="#4CAF50"
                              d="M24,44c5.166,0,9.86-1.977,13.409-5.192l-6.19-5.238C29.211,35.091,26.715,36,24,36c-5.202,0-9.619-3.317-11.283-7.946l-6.522,5.025C9.505,39.556,16.227,44,24,44z"></path>
                        <path fill="#1976D2"
                              d="M43.611,20.083H42V20H24v8h11.303c-0.792,2.237-2.231,4.166-4.087,5.571c0.001-0.001,0.002-0.001,0.003-0.002l6.19,5.238C36.971,39.205,44,34,44,24C44,22.659,43.862,21.35,43.611,20.083z"></path>
                    </svg>
                    Google
                </button>
            </li>
        </ul>

        <input type="hidden" name="action" value="save_minty_mail_settings">
        <input type="hidden" id="smtp_mail_tab_selected" name="smtp_mail_tab_selected" value="standaard">
    </form>
    <hr>

    <h4>Primaire mail instellingen</h4>
    <form method="post" action="">
        <table class="form-table">
            <tbody>
            <tr>
                <th scope="row">
                    <label for="mail_sender_name">Afzender naam</label>
                </th>
                <td>
                    <input type="text" name="mail_sender_name" class="form-control " id="mail_sender_name"
                           value="<?= esc_attr( $mail_sender_name ); ?>" <?= esc_attr( $smtp_mail_tab_selected === 'microsoft' ? "disabled" : "" ); ?>/>
                </td>
            </tr>
            <tr>
                <th scope="row"><label>Forceer afzender naam</label></th>
                <td>
                    <label class="switch">
                        <input type="checkbox" class="dynamicCheckbox"
                               data-input-name="force_mail_sender_name"
	                        <?= esc_attr( ($smtp_mail_tab_selected === 'microsoft') ? "disabled" : ($force_mail_sender_name === 'true' ? "checked" : "") ); ?>
                        >
                        <span class="slider"></span>
                    </label>
                    <br>
                    <small>Dit zorgt ervoor dat de mailer deze naam gaat gebruiken, anders pakt hij de standaard van het
                        mail adres.</small>
                </td>
            </tr>
            <tr>
                <th scope="row">
                    <label for="mail_sender_email">Afzender e-mail</label>
                </th>
                <td>
                    <input type="email" name="mail_sender_email" class="form-control" id="mail_sender_email"
                           value="<?= esc_attr( $mail_sender_email ); ?>"/>

                </td>
            </tr>
<!--            <tr>-->
<!--                <th scope="row"><label>Forceer afzender e-mailadres</label></th>-->
<!--                <td>-->
<!--                    <label class="switch">-->
<!--                        <input type="checkbox" class="dynamicCheckbox"-->
<!--                               data-input-name="force_mail_sender_email"-->
<!--							--><?php //= esc_attr( $force_mail_sender_email === 'true' ? "checked" : "" ); ?><!-->
<!--                        <span class="slider"></span>-->
<!--                    </label>-->
<!--                    <br>-->
<!--                    <small>Dit zorgt ervoor dat de mailer dit e-mailadres zal gebruiken. Pas op! Wellicht zal het-->
<!--                        ingevoerde e-mailadres geen mails kunnen versturen</small>-->
<!--                </td>-->
<!--            </tr>-->
            </tbody>
        </table>
        <input type="hidden" name="action" value="save_minty_mail_settings">
        <input type="submit" name="submit" id="submit" class="btn btn-outline-primary" value="Opslaan">
    </form>
    <hr>
    <div class="tab-content mt-3" id="myTabContent">
		<?php

		foreach ( $providers as $provider ) {
			require_once __DIR__ . "/MailProviders/$provider.php";
		}
		?>

    </div>

    <hr>
    <form method="post" action="">
        <table class="form-table">
            <tbody>
            <tr>
                <th scope="row">
                    <label for="mail_test_email">Verstuur test mail naar</label>
                </th>
                <td class="d-flex flex-row gap-1">
                    <input type="email" class="form-control" name="mail_test_email" id="mail_test_email"/>
                    <input type="hidden" name="action" value="send_minty_test_mail">
                    <input type="submit" name="submit" id="submit" class="btn btn-outline-primary" value="Verstuur">
                </td>
            </tr>
            </tbody>
        </table>
    </form>
<?php endif; ?>

<script>
    const buttons = document.querySelectorAll('.nav-item button');
    const selectedTabInput = document.getElementById('smtp_mail_tab_selected');

    buttons.forEach(button => {
        button.addEventListener('click', () => {
            selectedTabInput.value = button.getAttribute('data-value');
            document.getElementById('myTabForm').submit();
        });
    });

    document.getElementById('revokeTokenButton').addEventListener('click', function (e) {
        e.preventDefault();
        document.getElementById('revokeTokenForm').submit();
    });
</script>