<?php
if (!isset($currentPage, $adminPages, $settingEnabled)) {
echo "<p>not all variables are present</p>";
    return;
}
?>

<div class="container">
    <div class="row align-items-start mt-3">
        <div class="col-12 col-lg-3 d-flex gap-1 flex-column">
            <?php foreach ($adminPages as $adminPage): ?>
                <a href="?page=minty-support&tab=<?= esc_attr($adminPage->getName()); ?>"
                   class="btn btn-<?= esc_attr($currentPage->getName() === $adminPage->getName() ? "primary" : "default"); ?>">
                    <?= esc_html($adminPage->getDisplayName()); ?>
                </a>
            <?php endforeach; ?>
        </div>
        <div class="col-12 col-lg-9">
            <div class="wrap">
                <h1><?= esc_html($currentPage->getDisplayName()); ?></h1>
                <hr>
	            <?php if (!empty($currentPage->getSettingName())): ?>

                    <form id="enableSettingForm" method="post" action="">
                        <table class="form-table">
                            <tbody>
                            <tr>
                                <th scope="row"><label><?= esc_html($currentPage->getDisplayName()); ?></label></th>
                                <td>
                                    <label class="switch">
                                        <input id="settingCheckbox" type="checkbox" class="dynamicCheckbox submitOnToggle" data-input-name="<?= esc_html($currentPage->getSettingName()); ?>"
								            <?= esc_attr($settingEnabled === 'true' ? "checked" : ""); ?>>
                                        <span class="slider"></span>
                                    </label>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                        <input type="hidden" name="action" value="save_minty_support_settings">
                    </form>



	            <?php endif; ?>

