console.log ('Minty cart API loaded');

class MintyWooCartApi {
    constructor() {
        this.baseUrl = document.location.origin+"/wp-admin/admin-ajax.php"
    }

    #urlbuilder(action) {
        return this.baseUrl+"?"+ new URLSearchParams({'action': action}).toString()
    }

    async updateCartItemQuantity(cartKey, quantity) {
        return await this.post(MintyWooCartApiVars.UpdateCartItemQuantityRoute, {'cartKey': cartKey, 'quantity': quantity} )
    }

    async RemoveCartItem(cartKey) {
        return await this.post(MintyWooCartApiVars.RemoveCartItemRoute, {'cartKey': cartKey} )
    }

    async getLatestCartData() {
        return await this.get(MintyWooCartApiVars.GetLatestCartDataRoute)
    }

    async get(action) {
        let req = await fetch(this.#urlbuilder(action));
        let rawRes = await req.text();
        console.log(req);

        if (req.ok === false) {
            console.log("Response:");
            console.log(rawRes);
            console.log(req.ok);
            return false;
        }

        return JSON.parse(rawRes);
    }


    async post(action, bodyObj) {
        let req = await fetch(this.#urlbuilder(action), {
            method: 'POST',
            headers: {"Content-Type": "application/json",},
            body: JSON.stringify(bodyObj),
        });
        let rawRes = await req.text();

        console.log(req)


        if (req.ok === false)  {
            console.log("Sending body:")
            console.log(JSON.stringify(bodyObj))

            console.log("Response:")
            console.log(rawRes)
            console.log(req.ok)
            return false;
        }

        return JSON.parse(rawRes);
    }
}
