jQuery(document).ready(function($) {
    // Voeg een icoon toe aan de selectievakjes
    $('table.wp-list-table tbody .check-column').each(function() {
        $(this).append('<div style="width: 22px; margin-top: 5px; margin-left: 5px;" class="icon-wrapper"><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-6 h-6"><path stroke-linecap="round" stroke-linejoin="round" d="M8.25 15 12 18.75 15.75 15m-7.5-6L12 5.25 15.75 9" /></svg></div>');
    });
    $('table.wp-list-table #the-list').on('mousedown', 'tr', function(event) {
        const target = $(event.target);
        let isCheckbox = target.closest('.check-column').length > 0;

        // Als de klik binnen het selectievakje plaatsvind schakel de sortable in
        if (isCheckbox) {
            $('table.wp-list-table #the-list').sortable('enable');
        } else {
            // Als de klik buiten het selectievakje plaatsvind schakel de sortable uit
            $('table.wp-list-table #the-list').sortable('disable');
        }
    });

    // Initialiseer de sortable
    $('table.wp-list-table #the-list').sortable({
        items: 'tr',
        cursor: 'move',
        axis: 'y',
        containment: 'parent', // Beperk het slepen binnen het ouderelement (de tabel)
        tolerance: 'pointer',
        update: function(event, ui) {
            const order = [];

            // Verzamel de volgorde van de post ID's in een JSON-object
            $('tbody#the-list tr').each(function(index) {
                const postId = $(this).attr('id').replace('post-', ''); // Haal de post-ID uit het ID-attribuut
                order.push({ id: postId, position: index + 1 });
            });

            // Maak een JSON-object voor verzending
            const requestData = {
                order: order
            };

            // Verzenden van de data met aangepaste headers en payload
            $.ajax({
                url: ajaxurl + '?action=' + custom_post_order.actionName,
                type: 'POST',
                contentType: 'application/json; charset=utf-8', // Zet contentType op JSON
                data: JSON.stringify(requestData),
                success: function(response, textStatus, jqXHR) {
                    console.log('Response received:', response);
                },
                error: function(jqXHR, textStatus, errorThrown) {
                    // Log de request details
                    console.log("Request failed with status:", jqXHR.status);
                    console.log("Sending body:");
                    console.log(JSON.stringify(requestData));

                    // Log de volledige response
                    console.log("Response:");
                    console.log(jqXHR.responseText);
                    console.log(jqXHR.statusText);
                }
            });
        }
    });
    // Initialiseer de sortable als uitgeschakeld
    $('table.wp-list-table #the-list').sortable('disable');
});

console.log("loaded post type order");