<?php
/**
 * Plugin Name: Minty Support
 * Plugin URI: https://mintymedia.nl/
 * Description: Support plugin for Minty Media
 * Version: 3.5
 * Author: Minty Media
 * Author URI: https://mintymedia.nl/
 **/

use YahnisElsts\PluginUpdateChecker\v5\PucFactory;
use MintySupport\Classes\MintySupportBase;

require_once 'vendor/autoload.php';

add_action("plugins_loaded", "mintySupportPluginLoaded");

function mintySupportPluginLoaded(): void {
	$myUpdateChecker = PucFactory::buildUpdateChecker(
		'https://mintyplugin.myio.nl/pluginupdates/plugin.json',
		__FILE__,
		'minty-support-plugin'
	);
}

if ( ! class_exists( 'MintySupportBase' ) ) {
	if ( ! defined( 'MINTY_SUPPORT_PLUGIN_FILE' ) ) {
		define( 'MINTY_SUPPORT_PLUGIN_FILE', __FILE__ );
	}

	MintySupportBase::getInstance();
}
