<?php

namespace MintySupport\Classes\Controllers;


use MintySupport\Classes\Core\Controllers\BaseController;
use MintySupport\Classes\Core\Managers\ModuleManager;
use MintySupport\Classes\Modules\GeneralSettings\Scripts\SwitchValuesScript;

class ScriptController extends BaseController
{
	public function init(): void {
		$list = [
			SwitchValuesScript::class,
		];
		foreach (ModuleManager::getInstance()->getModules() as $module) {
			$list = array_merge($list, $module->getScripts());
		}

		foreach ( $list as $script ) {
			$endpointInstance = new $script();
			$endpointInstance->init();
		}
	}
}
