<?php

namespace MintySupport\Classes\Core\Managers;


class EncryptManager
{
	private static ?EncryptManager $_instance = null;
    private string $key = "secret";
    private string $method = "AES-256-CBC";

    public function encryptData($data): string
    {
        // Generate a random initialization vector (IV)
        $iv = openssl_random_pseudo_bytes(openssl_cipher_iv_length($this->method));

        // Encrypt the data
        $encrypted = openssl_encrypt($data, $this->method, $this->key, 0, $iv);

        // Concatenate the IV and the encrypted data
        return base64_encode($iv . $encrypted);
    }

    public function decryptData($encrypted): string
    {
        // Decode the encrypted data
        $encrypted = base64_decode($encrypted);

        // Extract the IV and the encrypted data
        $iv = substr($encrypted, 0, openssl_cipher_iv_length($this->method));
        $encrypted = substr($encrypted, openssl_cipher_iv_length($this->method));

        // Decrypt the data
        return openssl_decrypt($encrypted, $this->method, $this->key, 0, $iv);
    }

	public static function getInstance(): EncryptManager
	{
		if(self::$_instance === null) {
			self::$_instance = new self();
		}

		return self::$_instance;
	}
}