<?php

namespace MintySupport\Classes\Core\Modules;

abstract class Module {
	/**
	 * The name of the module
	 *
	 * @return string name
	 */
	abstract public static function getName(): string;

	/**
	 * Initialize module
	 *
	 * @return bool successfully loaded
	 */
	abstract public function init(): bool;

	public function getScripts():array {
		return [];
	}

	public function getEndpoints():array {
		return [];
	}

	public function getShortcodes() : array  {
		return [];
	}

	public function getActions() : array  {
		return [];
	}

	public function getFilters() : array  {
		return [];
	}
}