<?php

namespace MintySupport\Classes\Core\Templates;

interface ViewAble
{
    /**
     * Runs when the viewable is loaded
     * @param bool|null $savedData
     * @return mixed
     */
    public function onLoad(null|bool $savedData = null): void;

	/**
	 * Save the settings
	 * @return bool|null
	 */
    public function onSave(): null|bool;

    /**
     * Trigger that desides if onSave() should run
     * @return bool
     */
    public function onSaveTrigger(): bool;

    /**
     * Renders a template with variables
     * @param string $templateName
     * @param array $vars
     * @return bool
     */
    public function view(string $templateName, array $vars = []):bool;
}
