<?php

namespace MintySupport\Classes\Core\Wordpress;


use MintySupport\Classes\Core\Templates\TemplateService;

abstract class Action
{
	/**
	 * @return string[]
	 */
	abstract public function getHooks():array;


	/**
	 * @return void
	 */
	public function init(): void
	{
		foreach ($this->getHooks() as $hook) {
			add_action($hook, [$this, "execute"]);
		}
	}

	public function view(string $templateName, array $vars = []): bool
	{
		return TemplateService::getInstance()->load($templateName, $vars);
	}
}
