<?php

namespace MintySupport\Classes\Core\Wordpress;

use MintySupport\Classes\Core\Templates\TemplateService;

abstract class Filter {

	/**
	 * @return string[]
	 */
	abstract public function getHooks():array;


	/**
	 * @return void
	 */
	public function init(): void
	{
		foreach ($this->getHooks() as $hook) {
			add_filter($hook, [$this, "execute"], 10, 2);
		}
	}

	public function view(string $templateName, array $vars = []): bool
	{
		return TemplateService::getInstance()->load($templateName, $vars);
	}
}