<?php

namespace MintySupport\Classes\Core\Wordpress;

use MintySupport\Classes\Core\Templates\TemplateService;
use MintySupport\Classes\Core\Templates\ViewAble;

abstract class Shortcode implements ViewAble {
	/**
	 * initiate the shortcode
	 * @return void
	 */
	public function init(): void {
		add_shortcode( $this->getShortcodeName(), function () {
//			ob_start();

			$savedData = null;

			if ( $this->onSaveTrigger() ) {
				$savedData = $this->onSave();
			}

			$this->onLoad( $savedData );

//			return ob_get_clean();
		} );
	}


	/**
	 * Get the name of the shortcode.
	 *
	 * @return string
	 */
	abstract public function getShortcodeName(): string;


	/**
	 * @param string $templateName
	 * @param array $vars
	 *
	 * @return bool
	 */
	public function view( string $templateName, array $vars = [] ): bool {
		return TemplateService::getInstance()->load( $templateName, $vars );
	}
}