<?php

namespace MintySupport\Classes\Modules\GeneralSettings\Actions;

use MintySupport\Classes\Core\Managers\SettingsManager;
use MintySupport\Classes\Core\Wordpress\Action;

class SvgUpload extends Action {
	public function getHooks(): array {
		return ["upload_mimes"];
	}

	public function execute($array): array {
		$settings       = SettingsManager::getInstance();
		$customMimes    = $settings->getSettings( 'svg_upload_enabled' );
		if ( $customMimes === 'true' ) {
			$array['svg'] = 'image/svg+xml';
		}
		return $array;
	}
}