<?php

namespace MintySupport\Classes\Modules\GeneralSettings\AdminPages;

use MintySupport\Classes\Core\Managers\SettingsManager;
use MintySupport\Classes\Core\Settings\BaseAdminSettingsPage;

class
DefaultBase extends BaseAdminSettingsPage {
	public function getName(): string {
		return 'default';
	}

    public function getDisplayName(): string {
        return 'Algemeen';
    }

	public function onLoad(): array {
		// Laad de instellingen uit de database
		$settingsServices = SettingsManager::getInstance();

		return [
			"svg_upload_enabled" => $settingsServices->getSettings( 'svg_upload_enabled', false ),
			"category_pagination_slug_enabled" => $settingsServices->getSettings( 'category_pagination_slug_enabled', false ),
			"minty_woo_mini_cart" => $settingsServices->getSettings( 'minty_woo_mini_cart', false ),
		];
	}

	protected function getPostedSettings(): array
	{
		return [
			"svg_upload_enabled",
			"category_pagination_slug_enabled",
			"minty_woo_mini_cart",
		];
	}
}