<?php

namespace MintySupport\Classes\Modules\MintyWooMiniCart\Endpoints;

use MintySupport\Classes\Core\Endpoints\AjaxEndpoint;

class GetLatestCartDataEndpoint extends AjaxEndpoint {

	public static function getRouteName(): string {
		return "minty_woo_cart_get_latest_data";
	}

	public static function getRequestType(): string {
		return self::$Get;
	}

	public function handle(object|array $requestData): void {
		$customCartData = self::getCartData();
		$this->setSuccessRes('Latest cart', 'Success', $customCartData);
	}

	public static function getCartData(): array {
		$cart = WC()->cart->get_cart();
		$customCartData = [];

		foreach ($cart as $cart_item_key => $cart_item) {
			$product = $cart_item['data'];

			$customCartData[] = [
				'key'          => $cart_item_key,
				'quantity'     => $cart_item['quantity'],
				'product_id'   => $cart_item['product_id'],
				'title'        => $product->get_name(),
				'price'        => $product->get_price(),
				'image_url'    => wp_get_attachment_url($product->get_image_id()) ?: wc_placeholder_img_src(), // Product afbeelding of placeholder
			];
		}

		return $customCartData;
	}
}