<?php

namespace MintySupport\Classes\Modules\MintyWooMiniCart\Scripts;

use MintySupport\Classes\Core\Wordpress\Script;
use MintySupport\Classes\Modules\MintyWooMiniCart\Endpoints\GetLatestCartDataEndpoint;
use MintySupport\Classes\Modules\MintyWooMiniCart\Endpoints\RemoveCartItemEndpoint;
use MintySupport\Classes\Modules\MintyWooMiniCart\Endpoints\UpdateCartItemQuantityEndpoint;

class MintyWooCartApi extends Script {

	public function getName(): string {
		return "loadMintyWooCartApi";
	}

	public function getFile(): string {
		return "assets/modules/minty_woo_mini_cart/js/apis/minty-woo-cart-api.js";
	}

	public function getVarsName(): string {
		return "MintyWooCartApiVars";
	}

	public function getVars(): array {
		return [
			'UpdateCartItemQuantityRoute' => UpdateCartItemQuantityEndpoint::getRouteName(),
			'RemoveCartItemRoute' => RemoveCartItemEndpoint::getRouteName(),
			'GetLatestCartDataRoute' => GetLatestCartDataEndpoint::getRouteName(),
		];
	}

	public function getIsAdmin(): bool {
		return false;
	}
}
