<?php
namespace MintySupport\Classes\Modules\MintyWooMiniCart\Scripts;

use MintySupport\Classes\Core\Wordpress\Script;
use MintySupport\Classes\Modules\MintyWooMiniCart\Endpoints\GetLatestCartDataEndpoint;
use MintySupport\Classes\Modules\MintyWooMiniCart\Endpoints\RemoveCartItemEndpoint;
use MintySupport\Classes\Modules\MintyWooMiniCart\Endpoints\UpdateCartItemQuantityEndpoint;

class MintyWooMiniCart extends Script {

	public function getName(): string {
		return "loadMintyWooMiniCart";
	}

	public function getFile(): string {
		return "assets/modules/minty_woo_mini_cart/js/cart/minty-woo-mini-cart.js";
	}

	public function getVarsName(): string {
		return "MintyWooMiniCartVars";
	}

	public function getVars(): array {
		return [
			'CartItems' => GetLatestCartDataEndpoint::getCartData(),
		];
	}

	public function getIsAdmin(): bool {
		return false;
	}
}
