<?php

namespace MintySupport\Classes\Modules\PostTypesOrder\Actions;

use MintySupport\Classes\Core\Wordpress\Action;

class CustomPostOrder extends Action {

	public function getHooks(): array {
		return [
			'pre_get_posts',
		];
	}

	public function execute( $query ): void {
		if ( is_admin() && $query->is_main_query() && $query->get( 'orderby' ) === '' ) {
			$query->set( 'orderby', 'menu_order' );
			$query->set( 'order', 'ASC' );
		}
	}
}