<?php

namespace MintySupport\Classes\Modules\PostTypesOrder\AdminPages;

use MintySupport\Classes\Core\Managers\SettingsManager;
use MintySupport\Classes\Core\Settings\BaseAdminSettingsPage;
use MintySupport\Classes\MintySupportBase;

class PostTypesBase extends BaseAdminSettingsPage {
	public function getName(): string {
		return 'post_types';
	}

	public function getSettingName(): string {
		return 'post_types_order_enabled';
	}

	public function getDisplayName(): string {
		return 'Post Types Order';
	}

	public function onLoad(): array {
		// Laad de instellingen uit de database
		$settingsServices = SettingsManager::getInstance();
		$postTypes = MintySupportBase::getPostTypes();

		$posts = [];
		foreach ($postTypes as $postType) {
			$posts[$postType] = $settingsServices->getSettings( 'post_type_' . $postType, false );
		}
		return [
			"post_types_order_enabled" => $settingsServices->getSettings( 'post_types_order_enabled', false ),
			"posts"                    => $posts,
		];
	}

	protected function getPostedSettings(): array {
		$postTypes = MintySupportBase::getPostTypes();
		$postedSettings = [
			"post_types_order_enabled",
		];
		foreach ( $postTypes as $postType ) {
			$postedSettings[] = "post_type_" . $postType;
		}
		return $postedSettings;
	}

}