<?php

namespace MintySupport\Classes\Modules\PostTypesOrder;

use MintySupport\Classes\Core\Modules\Module;
use MintySupport\Classes\Modules\PostTypesOrder\Actions\CustomPostOrder;
use MintySupport\Classes\Modules\PostTypesOrder\AdminPages\PostTypesBase;
use MintySupport\Classes\Modules\PostTypesOrder\Endpoints\SavePostsOrderEndpoint;
use MintySupport\Classes\Modules\PostTypesOrder\Scripts\CustomPostOrderScript;

class PostTypesOrderModule extends Module {

	public static function getName(): string {
		return "post_types_order_enabled";
	}

	public function init(): bool {
		return true;
	}

	public function getActions(): array {
		return [
			CustomPostOrder::class,
		];
	}

	public function getScripts(): array {
		return [
			CustomPostOrderScript::class,
		];
	}

	public function getEndpoints(): array {
		return [
			SavePostsOrderEndpoint::class,
		];
	}
}