<?php

namespace MintySupport\Classes\Modules\PostTypesOrder\Scripts;

use MintySupport\Classes\Core\Managers\SettingsManager;
use MintySupport\Classes\Core\Wordpress\Script;
use MintySupport\Classes\MintySupportBase;
use MintySupport\Classes\Modules\PostTypesOrder\Endpoints\SavePostsOrderEndpoint;

class CustomPostOrderScript extends Script {

	public function getName(): string {
		return "custom_post_order";
	}

	public function getFile(): string {
		return "assets/modules/post_types_order/js/custom-post-order.js";
	}

	public function getVarsName(): string {
		return "custom_post_order";
	}

	public function getVars(): array {
		return [
			'actionName' => SavePostsOrderEndpoint::getRouteName(),
		];
	}

	public function loadOnWpLoad(): bool {
		return true;
	}

	public function shouldLoad(): bool {
		$settingsServices = SettingsManager::getInstance();
		$currentPost = $_GET['post_type'] ?? 'post';
		foreach ( MintySupportBase::getPostTypes() as $postType ) {
			$postTypeSetting = $settingsServices->getSettings( 'post_type_' . $postType, false );
			if ( (!$postTypeSetting || $postTypeSetting === 'false') && $postType === $currentPost ) {
				return false;
			}
		}

		return true;
	}
}