<?php

namespace MintySupport\Classes\Modules\SmtpMail\Filters;

use MintySupport\Classes\Core\Managers\SettingsManager;
use MintySupport\Classes\Core\Wordpress\Filter;
use MintySupport\Classes\Modules\SmtpMail\WpMail\SendMailWithCustomWpMail;

class PreWpMail extends Filter {

	public function getHooks(): array {
		return ["pre_wp_mail"];
	}

	public function execute($null, $atts): bool {
		$message = $atts['message'];
		$to = $atts['to'];
		$subject = $atts['subject'];
		$headers = $atts['headers'];
		$attachments = $atts['attachments'];

		return ( new SendMailWithCustomWpMail() )->wp_mail($to, $subject, $message, $headers, $attachments);
	}
}