<?php

namespace MintySupport\Classes\Modules\SmtpMail;

use MintySupport\Classes\Core\Modules\Module;
use MintySupport\Classes\Modules\SmtpMail\Actions\HandleOAuthResponse;
use MintySupport\Classes\Modules\SmtpMail\Actions\PhpMailerInit;
use MintySupport\Classes\Modules\SmtpMail\Filters\PreWpMail;

class SmtpMailModule extends Module {

	public static function getName(): string {
		return 'smtp_mail_enabled';
	}

	public function init(): bool {
		return true;
	}

	public function getFilters(): array {
		return [
			PreWpMail::class,
		];
	}

	public function getActions(): array {
		return [
			HandleOAuthResponse::class,
			PhpMailerInit::class,
		];
	}
}